<div class='globalContainer box-shadow'>
  <dx-tab-panel height='calc(100vh - 158px)'>
    <dxi-item title='Autorizații de mediu'>
      <dx-data-grid #gridAuth [columnAutoWidth]='true' [allowColumnResizing]='true' [allowColumnReordering]='true'
        [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='ui.showColumnLines' [showRowLines]='ui.showRowLines'
        [height]='ui.gridTabsHeight' [dataSource]='dsaPermit'>
        <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
        <dxo-search-panel placeholder="Caută..." [visible]='true'></dxo-search-panel>
        <dxo-filter-row [visible]="true"></dxo-filter-row>

        <dxi-column caption='Număr autorizație de mediu' dataField='no' dataType='string'>
        </dxi-column>
        <dxi-column caption='Entitate' dataField='entityId' dataType='number'>
        </dxi-column>
        <dxi-column caption='Valabilitate' dataField='validity' dataType='date' format='dd.MM.yyyy'>
        </dxi-column>
        <dxi-column caption='Revizuit la data' dataField='revision' dataType='date' format='dd.MM.yyyy'>
        </dxi-column>
        <dxi-column caption='Descriere' dataField='description' dataType='string'>
        </dxi-column>
      </dx-data-grid>
    </dxi-item>
    <dxi-item title='Autorizații integrate de mediu'>
      <dx-data-grid #gridIntAuth [columnAutoWidth]='true' [allowColumnResizing]='true' [allowColumnReordering]='true'
        [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='ui.showColumnLines' [showRowLines]='ui.showRowLines'
        [height]='ui.gridTabsHeight' [dataSource]='dsaPermitsInt'>
        <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
        <dxo-search-panel placeholder="Caută..." [visible]='true'></dxo-search-panel>
        <dxo-filter-row [visible]="true"></dxo-filter-row>

        <dxi-column caption='Număr autorizație de mediu' dataField='no' dataType='string'>
        </dxi-column>
        <dxi-column caption='Entitate' dataField='entityId' dataType='number'>
        </dxi-column>
        <dxi-column caption='Valabilitate' dataField='validity' dataType='date' format='dd.MM.yyyy'>
        </dxi-column>
        <dxi-column caption='Revizuit la data' dataField='revision' dataType='date' format='dd.MM.yyyy'>
        </dxi-column>
        <dxi-column caption='Description' dataField='descriere' dataType='string'>
        </dxi-column>
      </dx-data-grid>
    </dxi-item>
    <dxi-item title='Contracte'>
      <dx-data-grid #gridaContracts [columnAutoWidth]='true' [allowColumnResizing]='true' [allowColumnReordering]='true'
        [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='ui.showColumnLines' [showRowLines]='ui.showRowLines'
        [height]='ui.gridTabsHeight' [dataSource]='dsaContract'>
        <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
        <dxo-search-panel placeholder="Caută..." [visible]='true'></dxo-search-panel>

        <dxi-column caption='Număr contract' dataField='no' dataType='string'></dxi-column>
        <dxi-column caption='Contractor' dataField='fromId' dataType='string'>
          <dxo-lookup [dataSource]='dspCtr' valueExpr='id' displayExpr='name'></dxo-lookup>
        </dxi-column>
        <dxi-column caption='Contractant' dataField='toId' dataType='string'>
          <dxo-lookup [dataSource]='dspCtr' valueExpr='id' displayExpr='name'></dxo-lookup>
        </dxi-column>
        <dxi-column caption='Data stop' dataField='endDate' dataType='date' format='dd.MM.yyyy'></dxi-column>
      </dx-data-grid>
    </dxi-item>
    <dxi-item title='Transporturi'>
      <dx-data-grid #gridTransports [columnAutoWidth]='true' [allowColumnResizing]='true' [allowColumnReordering]='true'
        [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='ui.showColumnLines' [showRowLines]='ui.showRowLines'
        [height]='ui.gridTabsHeight' [dataSource]='dsaTransport'>
        <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
        <dxo-search-panel placeholder="Caută..." [visible]='true'></dxo-search-panel>

        <dxi-column caption='Nr.' dataField='t_no' dataType='string'>
        </dxi-column>
        <dxi-column caption='Entitate' dataField='ent_name' dataType='string'>
        </dxi-column>
        <dxi-column caption='Punct de lucru' dataField='wc_name' dataType='string'>
        </dxi-column>
        <dxi-column caption='Data transport' dataField='t_sendDate' dataType='date' format='dd.MM.yyyy'>
        </dxi-column>
        <dxi-column caption='Transportator' dataField='tr_name' dataType='string'></dxi-column>
        <dxi-column caption='Destinatar' dataField='rt_name' dataType='string'></dxi-column>
      </dx-data-grid>
    </dxi-item>
    <dxi-item title='Măsuri'>
      <dx-data-grid #gridMeasure [columnAutoWidth]='true' [allowColumnResizing]='true' [allowColumnReordering]='true'
        [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='ui.showColumnLines' [showRowLines]='ui.showRowLines'
        [height]='ui.gridTabsHeight' [dataSource]='dsaControlMeasures'>
        <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
        <dxo-search-panel placeholder="Caută..." [visible]='true'></dxo-search-panel>
        <dxo-editing mode="row" [allowUpdating]="true"></dxo-editing>

        <dxi-column caption='Descriere masură' dataField='actionDescription' dataType='string'>
          <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-column>
        <dxi-column caption='Status' dataField='actionStatus' dataType='number'>
          <dxi-validation-rule type="required"></dxi-validation-rule>
          <dxo-lookup [dataSource]='ds.actionStatus' valueExpr='id' displayExpr='value'></dxo-lookup>
        </dxi-column>
        <dxi-column caption='Termen masură' dataField='termAction' dataType='date' format='dd.MM.yyyy'>
          <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-column>
        <dxi-column caption='Observații' dataField='notifications' dataType='string'>
        </dxi-column>
      </dx-data-grid>
    </dxi-item>
  </dx-tab-panel>
</div>